View Issue Details

IDProjectCategoryView StatusLast Update
0002585Path[FreeCAD] Bugpublic2016-07-27 00:37
Reporterlinden11Assigned Tosliptonic 
PrioritynormalSeverityminorReproducibilityrandom
Status closedResolutionfixed 
PlatformLinuxOSmint 17OS Version
Product Version[FreeCAD] 0.16 
Target VersionFixed in Version[FreeCAD] 0.17 
Summary0002585: strange warnings/error in when generating new path
Descriptioncreate paths with new surface strategy crashes free cad intermittently when change parameters in the tree usaly switching from default drop cutter to waterline algorithm
 
Steps To ReproduceSee forum post
http://forum.freecadweb.org/viewtopic.php?f=15&t=15909
Additional InformationSee forum post
http://forum.freecadweb.org/viewtopic.php?f=15&t=15909


I have replaced my very old opencamlib with a freshly compiled one from here
https://github.com/aewallin/opencamlib

This may be unrelated but path seems to crash much less now.
TagsNo tags attached.

Activities

sliptonic

2016-06-11 22:55

developer   ~0007140

Linden, Please supply your freecad info and double check that you've pulled and rebuilt since May 31.
This commit https://github.com/FreeCAD/FreeCAD/commit/4568a4e583eec4095ea57aabc1cd4218a4670d1a
included some fixes for PathSurface to make sure it stored settings correctly. It might be material to this issue.

linden11

2016-06-12 04:20

reporter   ~0007141

Still here but much better we are making progress I can select waterline with step down of 2mm and above and no crash
Below 2 mm i get either an error or a crash bellow are the errors , freecad info and attached is the test file

error no crash

  32/40:
Traceback (most recent call last):
  File "/usr/lib/freecad-daily/Mod/Path/PathScripts/PathSurface.py", line 313, in execute
    output = self._waterline(obj, s, bb)
  File "/usr/lib/freecad-daily/Mod/Path/PathScripts/PathSurface.py", line 192, in _waterline
    output += drawLoops(loops)
  File "/usr/lib/freecad-daily/Mod/Path/PathScripts/PathSurface.py", line 150, in drawLoops
    " Z" + str(fmt(zheight)) + "\n"
<type 'exceptions.UnboundLocalError'>: local variable 'zheight' referenced before assignment

Error crash

Hold on. This might take a minute.
calculating Waterline at z= 38.5185185185
calculating Waterline at z= 37.037037037
terminate called after throwing an instance of 'std::length_error'
  what(): basic_string::_S_create
Aborted

Freecad info:

OS: Linux Mint 17 Qiana
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.17.7713 (Git)
Build type: None
Branch: master
Hash: a363d6ff7c7962d522d2bf8edf3646a011bd7236
Python version: 2.7.6
Qt version: 4.8.6
Coin version: 4.0.0a
OCC version: 6.8.0.oce-0.17

linden11

2016-06-12 04:22

reporter  

test44.fcstd (196,183 bytes)

sliptonic

2016-07-03 17:11

developer   ~0007170

PR 0000201

Issue History

Date Modified Username Field Change
2016-06-11 18:33 linden11 New Issue
2016-06-11 22:55 sliptonic Note Added: 0007140
2016-06-12 04:20 linden11 Note Added: 0007141
2016-06-12 04:22 linden11 File Added: test44.fcstd
2016-07-03 15:20 sliptonic Assigned To => sliptonic
2016-07-03 15:20 sliptonic Status new => assigned
2016-07-03 17:11 sliptonic Note Added: 0007170
2016-07-03 17:11 sliptonic Status assigned => resolved
2016-07-03 17:11 sliptonic Resolution open => fixed
2016-07-27 00:37 yorik Status resolved => closed
2016-07-27 00:37 yorik Fixed in Version => 0.17